#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.101
%define		qtver		5.15.2
%define		kfname		kjs

Summary:	Javascript engine
Name:		kf5-%{kfname}
Version:	5.101.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/portingAids/%{kfname}-%{version}.tar.xz
# Source0-md5:	21159b2dee3f985063fb8b94caa68999
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	pcre-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
This library provides an ECMAScript compatible interpreter. The ECMA
standard is based on well known scripting languages such as Netscape's
JavaScript and Microsoft's JScript.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/kjs5
%dir %{_datadir}/kf5/kjs
%{_datadir}/kf5/kjs/create_hash_table
%ghost %{_libdir}/libKF5JS.so.5
%attr(755,root,root) %{_libdir}/libKF5JS.so.*.*
%ghost %{_libdir}/libKF5JSApi.so.5
%attr(755,root,root) %{_libdir}/libKF5JSApi.so.*.*
%{_mandir}/man1/kjs5.1*
%lang(ca) /usr/share/man/ca/man1/kjs5.1*
%lang(de) /usr/share/man/de/man1/kjs5.1*
%lang(es) /usr/share/man/es/man1/kjs5.1*
%lang(fr) /usr/share/man/fr/man1/kjs5.1*
%lang(it) /usr/share/man/it/man1/kjs5.1*
%lang(nl) /usr/share/man/nl/man1/kjs5.1*
%lang(pt) /usr/share/man/pt/man1/kjs5.1*
%lang(pt_BR) /usr/share/man/pt_BR/man1/kjs5.1*
%lang(sv) /usr/share/man/sv/man1/kjs5.1*
%lang(uk) /usr/share/man/uk/man1/kjs5.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/kjs
%{_includedir}/KF5/wtf
%{_includedir}/KF5/kjs_version.h
%{_libdir}/cmake/KF5JS
%{_libdir}/libKF5JS.so
%{_libdir}/libKF5JSApi.so
%{qt5dir}/mkspecs/modules/qt_KJS.pri
%{qt5dir}/mkspecs/modules/qt_KJSApi.pri
%changelog
* Sun Dec 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kjs.git;a=log;h=master

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5db75b6
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0ccbd9b
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2e8a461
- rebuild against QT 5.15.7

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1227b90
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 61069dc
- updated to 5.98.0

* Wed Aug 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 556edc5
- relup

* Sun Aug 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 31f17ec
- updated to 5.97.0

* Sat Jul 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 45dbb0c
- updated to 5.96.0

* Tue Jun 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 006bf0f
- updated to 5.95.0

* Sat May 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b77c03c
- updated to 5.94.0

* Tue Apr 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 01e1f51
- updated to 5.93.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2a61ccb
- bcond_with tests

* Sun Mar 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8474d19
- updated to 5.92.0

* Wed Feb 16 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c7c275e
- updated to 5.91.0

* Sat Jan 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> fda8bff
- updated to 5.90.0

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9de2007
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5ace021
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 544d4d1
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 28989a2
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f23cf19
- updated to 5.85.0

